// Jigsaw engine stylesheet
//
// @author Manuel Tancoigne <manu@experimentslabs.com>
// @licence MIT
//

%jigsaw-reset {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

.jigsaw {
  &-game {
    @extend %jigsaw-reset;

    display: flex;
    flex-direction: column;
  }

  &-line {
    @extend %jigsaw-reset;

    display: flex;
    flex: none;
  }

  &-cell {
    @extend %jigsaw-reset;

    overflow: hidden;
    flex: none;
    width: var(--cell-size);
    height: var(--cell-size);

    &.selected {
      transform: scale(0.9);
      box-shadow: 0 0 19px 2px rgba(0, 0, 0, .7);
    }

    &.good {
    }

    &.bad:hover {
      opacity: .6;
    }
  }
}

:root {
  --cell-size: 40px;
}
